Description: Added setup.py
Author: Josenilson Ferreira da Silva <nilsonfsilva@hotmai.com>
Forwarded: not-needed
Last-Update: 2023-11-02
Index: bbscan-2.0/setup.py
===================================================================
--- /dev/null
+++ bbscan-2.0/setup.py
@@ -0,0 +1,27 @@
+import setuptools
+
+with open('requirements.txt') as f:
+    requirements = f.read().splitlines()
+
+version = "1.5"
+
+setuptools.setup(
+    name="BBscan",
+    version=version,
+    author="LiJieJie",
+    author_email="my@lijiejie.com",
+    description="Fast and lightweight information disclosure vulnerability scanner",
+    url="https://github.com/lijiejie/BBScan",
+    py_modules=["BBScan"],
+    packages=setuptools.find_packages(),
+    install_requires=requirements,
+    entry_points={
+        "console_scripts": ["bbscan = BBScan:main"],
+    },
+    classifiers=[
+        "Development Status :: 3 - Alpha",
+        "Intended Audience :: Developers",
+        "License :: OSI Approved :: Apache-2.0",
+        "Programming Language :: Python :: 3.8",
+    ],
+)
